Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkScope<TKey>

Represents an OpenIddict scope.

##### Inheritance

System.Object
OpenIddictEntityFrameworkScope<TKey>
OpenIddictEntityFrameworkScope

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkScope<TKey>
        where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TKey |

### Properties

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Description

Gets or sets the public description associated with the current scope.

##### Declaration

    public virtual string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Descriptions

Gets or sets the localized public descriptions associated with the current scope, serialized as a JSON object.

##### Declaration

    public virtual string Descriptions { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayName

Gets or sets the display name associated with the current scope.

##### Declaration

    public virtual string DisplayName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DisplayNames

Gets or sets the localized display names associated with the current application, serialized as a JSON object.

##### Declaration

    public virtual string DisplayNames { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Id

Gets or sets the unique identifier associated with the current scope.

##### Declaration

    public virtual TKey Id { get; set; }

##### Property Value

Type | Description
--- | ---
TKey |

#### Name

Gets or sets the unique name associated with the current scope.

##### Declaration

    public virtual string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Properties

Gets or sets the additional properties serialized as a JSON object, or `null` if no bag was associated with the current scope.

##### Declaration

    public virtual string Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Resources

Gets or sets the resources associated with the current scope, serialized as a JSON array.

##### Declaration

    public virtual string Resources { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |